Skip to main content
PATCH
/
contacts
/
{id}
Update contact
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v2/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '{}'
{
  "contact": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve",
    "email": "eve@example.com",
    "phone_number": "",
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z",
    "owner": null,
    "tags": [],
    "company": {
      "id": null,
      "name": null
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the contact to update. You can get the contact id by listing all contacts using our List all contacts API.

Body

application/json
contact
object

Response

200 - application/json

Contact updated successfully.

contact
object